Emitted when a value is set on a RealTimeArray.

### Hierarchy

- ArraySetEvent

### Implements

- IValueChangedEvent

## Index

### Properties

- element
- index
- local
- name
- oldValue
- sessionId
- user
- value
- NAME

## Properties

### element

element: ObservableArray

Implementation of IValueChangedEvent.element

The RealTimeArray or HistoricalArray which was modified

### index

index: number

The index at whose value was set (replaced)

### local

local: boolean

Implementation of IValueChangedEvent.local

### name

name: string = ArraySetEvent.NAME

Implementation of IValueChangedEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### oldValue

oldValue: ObservableElement<any>

A read-only representation of the previous value at this index, which has been replaced by `value`

### sessionId

sessionId: string

Implementation of IValueChangedEvent.sessionId

The sessionId corresponding to the session that performed the modification

### user

user: DomainUser

Implementation of IValueChangedEvent.user

The user which performed the modification

### value

value: ObservableElement<any>

A read-only representation of the new value

### StaticNAME

NAME: "set" = "set"